"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RasterDataCollectionQueryInputFilterSensitiveLog = exports.TimeRangeFilterInputFilterSensitiveLog = exports.ListEarthObservationJobOutputFilterSensitiveLog = exports.ListEarthObservationJobInputFilterSensitiveLog = exports.GetTileOutputFilterSensitiveLog = exports.GetEarthObservationJobOutputFilterSensitiveLog = exports.InputConfigOutputFilterSensitiveLog = exports.RasterDataCollectionQueryOutputFilterSensitiveLog = exports.TimeRangeFilterOutputFilterSensitiveLog = exports.AreaOfInterestFilterSensitiveLog = exports.AreaOfInterestGeometryFilterSensitiveLog = exports.PolygonGeometryInputFilterSensitiveLog = exports.MultiPolygonGeometryInputFilterSensitiveLog = exports.VectorEnrichmentJobType = exports.VectorEnrichmentJobStatus = exports.VectorEnrichmentJobConfig = exports.VectorEnrichmentJobDocumentType = exports.VectorEnrichmentJobDataSourceConfigInput = exports.VectorEnrichmentJobExportErrorType = exports.VectorEnrichmentJobErrorType = exports.VectorEnrichmentJobExportStatus = exports.SortOrder = exports.TargetOptions = exports.EarthObservationJobStatus = exports.JobConfigInput = exports.ZonalStatistics = exports.TemporalStatistics = exports.GroupBy = exports.PredefinedResolution = exports.Unit = exports.Property = exports.LogicalOperator = exports.ExportErrorType = exports.EarthObservationJobErrorType = exports.ServiceQuotaExceededException = exports.EarthObservationJobExportStatus = exports.ValidationException = exports.ThrottlingException = exports.ResourceNotFoundException = exports.InternalServerException = exports.DataCollectionType = exports.ConflictException = exports.ComparisonOperator = exports.OutputType = exports.AreaOfInterest = exports.AreaOfInterestGeometry = exports.AlgorithmNameResampling = exports.AlgorithmNameGeoMosaic = exports.AlgorithmNameCloudRemoval = exports.AccessDeniedException = void 0;
exports.SearchRasterDataCollectionOutputFilterSensitiveLog = exports.SearchRasterDataCollectionInputFilterSensitiveLog = exports.RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog = exports.ListVectorEnrichmentJobOutputFilterSensitiveLog = exports.ListVectorEnrichmentJobInputFilterSensitiveLog = exports.ListRasterDataCollectionsOutputFilterSensitiveLog = exports.ListRasterDataCollectionsInputFilterSensitiveLog = exports.ItemSourceFilterSensitiveLog = exports.GeometryFilterSensitiveLog = exports.StartEarthObservationJobOutputFilterSensitiveLog = exports.StartEarthObservationJobInputFilterSensitiveLog = exports.InputConfigInputFilterSensitiveLog = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const SageMakerGeospatialServiceException_1 = require("./SageMakerGeospatialServiceException");
class AccessDeniedException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Message = opts.Message;
    }
}
exports.AccessDeniedException = AccessDeniedException;
exports.AlgorithmNameCloudRemoval = {
    INTERPOLATION: "INTERPOLATION",
};
exports.AlgorithmNameGeoMosaic = {
    AVERAGE: "AVERAGE",
    BILINEAR: "BILINEAR",
    CUBIC: "CUBIC",
    CUBICSPLINE: "CUBICSPLINE",
    LANCZOS: "LANCZOS",
    MAX: "MAX",
    MED: "MED",
    MIN: "MIN",
    MODE: "MODE",
    NEAR: "NEAR",
    Q1: "Q1",
    Q3: "Q3",
    RMS: "RMS",
    SUM: "SUM",
};
exports.AlgorithmNameResampling = {
    AVERAGE: "AVERAGE",
    BILINEAR: "BILINEAR",
    CUBIC: "CUBIC",
    CUBICSPLINE: "CUBICSPLINE",
    LANCZOS: "LANCZOS",
    MAX: "MAX",
    MED: "MED",
    MIN: "MIN",
    MODE: "MODE",
    NEAR: "NEAR",
    Q1: "Q1",
    Q3: "Q3",
    RMS: "RMS",
    SUM: "SUM",
};
var AreaOfInterestGeometry;
(function (AreaOfInterestGeometry) {
    AreaOfInterestGeometry.visit = (value, visitor) => {
        if (value.PolygonGeometry !== undefined)
            return visitor.PolygonGeometry(value.PolygonGeometry);
        if (value.MultiPolygonGeometry !== undefined)
            return visitor.MultiPolygonGeometry(value.MultiPolygonGeometry);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(AreaOfInterestGeometry = exports.AreaOfInterestGeometry || (exports.AreaOfInterestGeometry = {}));
var AreaOfInterest;
(function (AreaOfInterest) {
    AreaOfInterest.visit = (value, visitor) => {
        if (value.AreaOfInterestGeometry !== undefined)
            return visitor.AreaOfInterestGeometry(value.AreaOfInterestGeometry);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(AreaOfInterest = exports.AreaOfInterest || (exports.AreaOfInterest = {}));
exports.OutputType = {
    FLOAT32: "FLOAT32",
    FLOAT64: "FLOAT64",
    INT16: "INT16",
    INT32: "INT32",
    UINT16: "UINT16",
};
exports.ComparisonOperator = {
    EQUALS: "EQUALS",
    NOT_EQUALS: "NOT_EQUALS",
    STARTS_WITH: "STARTS_WITH",
};
class ConflictException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
    }
}
exports.ConflictException = ConflictException;
exports.DataCollectionType = {
    PREMIUM: "PREMIUM",
    PUBLIC: "PUBLIC",
    USER: "USER",
};
class InternalServerException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
    }
}
exports.InternalServerException = InternalServerException;
class ResourceNotFoundException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ThrottlingException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
    }
}
exports.ThrottlingException = ThrottlingException;
class ValidationException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
    }
}
exports.ValidationException = ValidationException;
exports.EarthObservationJobExportStatus = {
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    SUCCEEDED: "SUCCEEDED",
};
class ServiceQuotaExceededException extends SageMakerGeospatialServiceException_1.SageMakerGeospatialServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.Message = opts.Message;
        this.ResourceId = opts.ResourceId;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
exports.EarthObservationJobErrorType = {
    CLIENT_ERROR: "CLIENT_ERROR",
    SERVER_ERROR: "SERVER_ERROR",
};
exports.ExportErrorType = {
    CLIENT_ERROR: "CLIENT_ERROR",
    SERVER_ERROR: "SERVER_ERROR",
};
exports.LogicalOperator = {
    AND: "AND",
};
var Property;
(function (Property) {
    Property.visit = (value, visitor) => {
        if (value.EoCloudCover !== undefined)
            return visitor.EoCloudCover(value.EoCloudCover);
        if (value.ViewOffNadir !== undefined)
            return visitor.ViewOffNadir(value.ViewOffNadir);
        if (value.ViewSunAzimuth !== undefined)
            return visitor.ViewSunAzimuth(value.ViewSunAzimuth);
        if (value.ViewSunElevation !== undefined)
            return visitor.ViewSunElevation(value.ViewSunElevation);
        if (value.Platform !== undefined)
            return visitor.Platform(value.Platform);
        if (value.LandsatCloudCoverLand !== undefined)
            return visitor.LandsatCloudCoverLand(value.LandsatCloudCoverLand);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(Property = exports.Property || (exports.Property = {}));
exports.Unit = {
    METERS: "METERS",
};
exports.PredefinedResolution = {
    AVERAGE: "AVERAGE",
    HIGHEST: "HIGHEST",
    LOWEST: "LOWEST",
};
exports.GroupBy = {
    ALL: "ALL",
    YEARLY: "YEARLY",
};
exports.TemporalStatistics = {
    MEAN: "MEAN",
    MEDIAN: "MEDIAN",
    STANDARD_DEVIATION: "STANDARD_DEVIATION",
};
exports.ZonalStatistics = {
    MAX: "MAX",
    MEAN: "MEAN",
    MEDIAN: "MEDIAN",
    MIN: "MIN",
    STANDARD_DEVIATION: "STANDARD_DEVIATION",
    SUM: "SUM",
};
var JobConfigInput;
(function (JobConfigInput) {
    JobConfigInput.visit = (value, visitor) => {
        if (value.BandMathConfig !== undefined)
            return visitor.BandMathConfig(value.BandMathConfig);
        if (value.ResamplingConfig !== undefined)
            return visitor.ResamplingConfig(value.ResamplingConfig);
        if (value.TemporalStatisticsConfig !== undefined)
            return visitor.TemporalStatisticsConfig(value.TemporalStatisticsConfig);
        if (value.CloudRemovalConfig !== undefined)
            return visitor.CloudRemovalConfig(value.CloudRemovalConfig);
        if (value.ZonalStatisticsConfig !== undefined)
            return visitor.ZonalStatisticsConfig(value.ZonalStatisticsConfig);
        if (value.GeoMosaicConfig !== undefined)
            return visitor.GeoMosaicConfig(value.GeoMosaicConfig);
        if (value.StackConfig !== undefined)
            return visitor.StackConfig(value.StackConfig);
        if (value.CloudMaskingConfig !== undefined)
            return visitor.CloudMaskingConfig(value.CloudMaskingConfig);
        if (value.LandCoverSegmentationConfig !== undefined)
            return visitor.LandCoverSegmentationConfig(value.LandCoverSegmentationConfig);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(JobConfigInput = exports.JobConfigInput || (exports.JobConfigInput = {}));
exports.EarthObservationJobStatus = {
    COMPLETED: "COMPLETED",
    DELETED: "DELETED",
    DELETING: "DELETING",
    FAILED: "FAILED",
    INITIALIZING: "INITIALIZING",
    IN_PROGRESS: "IN_PROGRESS",
    STOPPED: "STOPPED",
    STOPPING: "STOPPING",
};
exports.TargetOptions = {
    INPUT: "INPUT",
    OUTPUT: "OUTPUT",
};
exports.SortOrder = {
    ASCENDING: "ASCENDING",
    DESCENDING: "DESCENDING",
};
exports.VectorEnrichmentJobExportStatus = {
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    SUCCEEDED: "SUCCEEDED",
};
exports.VectorEnrichmentJobErrorType = {
    CLIENT_ERROR: "CLIENT_ERROR",
    SERVER_ERROR: "SERVER_ERROR",
};
exports.VectorEnrichmentJobExportErrorType = {
    CLIENT_ERROR: "CLIENT_ERROR",
    SERVER_ERROR: "SERVER_ERROR",
};
var VectorEnrichmentJobDataSourceConfigInput;
(function (VectorEnrichmentJobDataSourceConfigInput) {
    VectorEnrichmentJobDataSourceConfigInput.visit = (value, visitor) => {
        if (value.S3Data !== undefined)
            return visitor.S3Data(value.S3Data);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(VectorEnrichmentJobDataSourceConfigInput = exports.VectorEnrichmentJobDataSourceConfigInput || (exports.VectorEnrichmentJobDataSourceConfigInput = {}));
exports.VectorEnrichmentJobDocumentType = {
    CSV: "CSV",
};
var VectorEnrichmentJobConfig;
(function (VectorEnrichmentJobConfig) {
    VectorEnrichmentJobConfig.visit = (value, visitor) => {
        if (value.ReverseGeocodingConfig !== undefined)
            return visitor.ReverseGeocodingConfig(value.ReverseGeocodingConfig);
        if (value.MapMatchingConfig !== undefined)
            return visitor.MapMatchingConfig(value.MapMatchingConfig);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(VectorEnrichmentJobConfig = exports.VectorEnrichmentJobConfig || (exports.VectorEnrichmentJobConfig = {}));
exports.VectorEnrichmentJobStatus = {
    COMPLETED: "COMPLETED",
    DELETED: "DELETED",
    DELETING: "DELETING",
    FAILED: "FAILED",
    INITIALIZING: "INITIALIZING",
    IN_PROGRESS: "IN_PROGRESS",
    STOPPED: "STOPPED",
    STOPPING: "STOPPING",
};
exports.VectorEnrichmentJobType = {
    MAP_MATCHING: "MAP_MATCHING",
    REVERSE_GEOCODING: "REVERSE_GEOCODING",
};
const MultiPolygonGeometryInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Coordinates && { Coordinates: obj.Coordinates.map((item) => item.map((item) => smithy_client_1.SENSITIVE_STRING)) }),
});
exports.MultiPolygonGeometryInputFilterSensitiveLog = MultiPolygonGeometryInputFilterSensitiveLog;
const PolygonGeometryInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Coordinates && { Coordinates: obj.Coordinates.map((item) => smithy_client_1.SENSITIVE_STRING) }),
});
exports.PolygonGeometryInputFilterSensitiveLog = PolygonGeometryInputFilterSensitiveLog;
const AreaOfInterestGeometryFilterSensitiveLog = (obj) => {
    if (obj.PolygonGeometry !== undefined)
        return { PolygonGeometry: (0, exports.PolygonGeometryInputFilterSensitiveLog)(obj.PolygonGeometry) };
    if (obj.MultiPolygonGeometry !== undefined)
        return { MultiPolygonGeometry: (0, exports.MultiPolygonGeometryInputFilterSensitiveLog)(obj.MultiPolygonGeometry) };
    if (obj.$unknown !== undefined)
        return { [obj.$unknown[0]]: "UNKNOWN" };
};
exports.AreaOfInterestGeometryFilterSensitiveLog = AreaOfInterestGeometryFilterSensitiveLog;
const AreaOfInterestFilterSensitiveLog = (obj) => {
    if (obj.AreaOfInterestGeometry !== undefined)
        return { AreaOfInterestGeometry: (0, exports.AreaOfInterestGeometryFilterSensitiveLog)(obj.AreaOfInterestGeometry) };
    if (obj.$unknown !== undefined)
        return { [obj.$unknown[0]]: "UNKNOWN" };
};
exports.AreaOfInterestFilterSensitiveLog = AreaOfInterestFilterSensitiveLog;
const TimeRangeFilterOutputFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.TimeRangeFilterOutputFilterSensitiveLog = TimeRangeFilterOutputFilterSensitiveLog;
const RasterDataCollectionQueryOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.TimeRangeFilter && { TimeRangeFilter: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.AreaOfInterest && { AreaOfInterest: (0, exports.AreaOfInterestFilterSensitiveLog)(obj.AreaOfInterest) }),
    ...(obj.PropertyFilters && { PropertyFilters: obj.PropertyFilters }),
});
exports.RasterDataCollectionQueryOutputFilterSensitiveLog = RasterDataCollectionQueryOutputFilterSensitiveLog;
const InputConfigOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.RasterDataCollectionQuery && {
        RasterDataCollectionQuery: (0, exports.RasterDataCollectionQueryOutputFilterSensitiveLog)(obj.RasterDataCollectionQuery),
    }),
});
exports.InputConfigOutputFilterSensitiveLog = InputConfigOutputFilterSensitiveLog;
const GetEarthObservationJobOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.InputConfig && { InputConfig: (0, exports.InputConfigOutputFilterSensitiveLog)(obj.InputConfig) }),
    ...(obj.JobConfig && { JobConfig: obj.JobConfig }),
});
exports.GetEarthObservationJobOutputFilterSensitiveLog = GetEarthObservationJobOutputFilterSensitiveLog;
const GetTileOutputFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.GetTileOutputFilterSensitiveLog = GetTileOutputFilterSensitiveLog;
const ListEarthObservationJobInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.ListEarthObservationJobInputFilterSensitiveLog = ListEarthObservationJobInputFilterSensitiveLog;
const ListEarthObservationJobOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.ListEarthObservationJobOutputFilterSensitiveLog = ListEarthObservationJobOutputFilterSensitiveLog;
const TimeRangeFilterInputFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.TimeRangeFilterInputFilterSensitiveLog = TimeRangeFilterInputFilterSensitiveLog;
const RasterDataCollectionQueryInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.TimeRangeFilter && { TimeRangeFilter: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.AreaOfInterest && { AreaOfInterest: (0, exports.AreaOfInterestFilterSensitiveLog)(obj.AreaOfInterest) }),
    ...(obj.PropertyFilters && { PropertyFilters: obj.PropertyFilters }),
});
exports.RasterDataCollectionQueryInputFilterSensitiveLog = RasterDataCollectionQueryInputFilterSensitiveLog;
const InputConfigInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.RasterDataCollectionQuery && {
        RasterDataCollectionQuery: (0, exports.RasterDataCollectionQueryInputFilterSensitiveLog)(obj.RasterDataCollectionQuery),
    }),
});
exports.InputConfigInputFilterSensitiveLog = InputConfigInputFilterSensitiveLog;
const StartEarthObservationJobInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.InputConfig && { InputConfig: (0, exports.InputConfigInputFilterSensitiveLog)(obj.InputConfig) }),
    ...(obj.JobConfig && { JobConfig: obj.JobConfig }),
});
exports.StartEarthObservationJobInputFilterSensitiveLog = StartEarthObservationJobInputFilterSensitiveLog;
const StartEarthObservationJobOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.InputConfig && { InputConfig: (0, exports.InputConfigOutputFilterSensitiveLog)(obj.InputConfig) }),
    ...(obj.JobConfig && { JobConfig: obj.JobConfig }),
});
exports.StartEarthObservationJobOutputFilterSensitiveLog = StartEarthObservationJobOutputFilterSensitiveLog;
const GeometryFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Coordinates && { Coordinates: obj.Coordinates.map((item) => smithy_client_1.SENSITIVE_STRING) }),
});
exports.GeometryFilterSensitiveLog = GeometryFilterSensitiveLog;
const ItemSourceFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Geometry && { Geometry: (0, exports.GeometryFilterSensitiveLog)(obj.Geometry) }),
});
exports.ItemSourceFilterSensitiveLog = ItemSourceFilterSensitiveLog;
const ListRasterDataCollectionsInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.ListRasterDataCollectionsInputFilterSensitiveLog = ListRasterDataCollectionsInputFilterSensitiveLog;
const ListRasterDataCollectionsOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.ListRasterDataCollectionsOutputFilterSensitiveLog = ListRasterDataCollectionsOutputFilterSensitiveLog;
const ListVectorEnrichmentJobInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.ListVectorEnrichmentJobInputFilterSensitiveLog = ListVectorEnrichmentJobInputFilterSensitiveLog;
const ListVectorEnrichmentJobOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.ListVectorEnrichmentJobOutputFilterSensitiveLog = ListVectorEnrichmentJobOutputFilterSensitiveLog;
const RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.TimeRangeFilter && { TimeRangeFilter: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.AreaOfInterest && { AreaOfInterest: (0, exports.AreaOfInterestFilterSensitiveLog)(obj.AreaOfInterest) }),
    ...(obj.PropertyFilters && { PropertyFilters: obj.PropertyFilters }),
});
exports.RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog = RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog;
const SearchRasterDataCollectionInputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.RasterDataCollectionQuery && {
        RasterDataCollectionQuery: (0, exports.RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog)(obj.RasterDataCollectionQuery),
    }),
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
});
exports.SearchRasterDataCollectionInputFilterSensitiveLog = SearchRasterDataCollectionInputFilterSensitiveLog;
const SearchRasterDataCollectionOutputFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.NextToken && { NextToken: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.Items && { Items: obj.Items.map((item) => (0, exports.ItemSourceFilterSensitiveLog)(item)) }),
});
exports.SearchRasterDataCollectionOutputFilterSensitiveLog = SearchRasterDataCollectionOutputFilterSensitiveLog;
