import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  GetVectorEnrichmentJobInput,
  GetVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetVectorEnrichmentJobCommandInput
  extends GetVectorEnrichmentJobInput {}
export interface GetVectorEnrichmentJobCommandOutput
  extends GetVectorEnrichmentJobOutput,
    __MetadataBearer {}
export declare class GetVectorEnrichmentJobCommand extends $Command<
  GetVectorEnrichmentJobCommandInput,
  GetVectorEnrichmentJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: GetVectorEnrichmentJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVectorEnrichmentJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetVectorEnrichmentJobCommandInput,
    GetVectorEnrichmentJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
